/*
* AMD_COPYRIGHT
*
* Copyright <2003> ADVANCED MICRO DEVICES, INC. All Rights Reserved.
*
* Unless otherwise designated in writing, this software and any related 
* documentation are the confidential proprietary information of AMD. 
* THESE MATERIALS ARE PROVIDED "AS IS" WITHOUT ANY
* UNLESS OTHERWISE NOTED IN WRITING, EXPRESS OR IMPLIED WARRANTY OF ANY 
* KIND, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, 
* NONINFRINGEMENT, TITLE, FITNESS FOR ANY PARTICULAR PURPOSE AND IN NO 
* EVENT SHALL AMD OR ITS LICENSORS BE LIABLE FOR ANY DAMAGES WHATSOEVER. 
*
* AMD does not assume any responsibility for any errors which may appear 
* in the Materials nor any responsibility to support or update the
* Materials.  AMD retains the right to modify the Materials at any time, 
* without notice, and is not obligated to provide such modified 
* Materials to you. AMD is not obligated to furnish, support, or make
* any further information available to you.
*
* END_AMD_COPYRIGHT
*/

#ifndef _GEODE_GUIDS_H_
#define _GEODE_GUIDS_H_


/*****************************************************************************
 * GUIDs
 *****************************************************************************
 * GUIDs for friendly names.
 */

// PHONE Volume Name
#define STATIC_GEODEFNAME_PHONE_VOLUME\
    0x0A8C1A87, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1A87-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_PHONE_VOLUME);
#define GEODEFNAME_PHONE_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_PHONE_VOLUME)

// PHONE Mute Name
#define STATIC_GEODEFNAME_PHONE_MUTE\
    0x0A8C1A88, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1A88-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_PHONE_MUTE);
#define GEODEFNAME_PHONE_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_PHONE_MUTE)

// LINEIN Mute Name
#define STATIC_GEODEFNAME_LINEIN_MUTE\
    0x0A8C1A91, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1A91-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_LINEIN_MUTE);
#define GEODEFNAME_LINEIN_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_LINEIN_MUTE)

// Main Mix Name
#define STATIC_GEODEFNAME_MAIN_MIX\
    0x0A8C1A9B, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1A9B-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_MAIN_MIX);
#define GEODEFNAME_MAIN_MIX DEFINE_GUIDNAMED(_GEODEFNAME_MAIN_MIX)

// 3D Bypass Name
#define STATIC_GEODEFNAME_WAVEOUT_3D_BYPASS\
    0x0A8C1A9E, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1A9E-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_WAVEOUT_3D_BYPASS);
#define GEODEFNAME_WAVEOUT_3D_BYPASS DEFINE_GUIDNAMED(_GEODEFNAME_WAVEOUT_3D_BYPASS)

// 3D Enable Name
#define STATIC_GEODEFNAME_3D_ENABLE\
    0x766db5a4, 0x6e94, 0x11d2, 0x9a, 0xde, 0x0, 0xc0, 0x4f, 0x8e, 0xfb, 0x68
DEFINE_GUIDSTRUCT("766DB5A4-6E94-11d2-9ADE-00C04F8EFB68", _GEODEFNAME_3D_ENABLE);
#define GEODEFNAME_3D_ENABLE DEFINE_GUIDNAMED(_GEODEFNAME_3D_ENABLE)

// Beep Mix Name
#define STATIC_GEODEFNAME_BEEP_MIX\
    0x0A8C1A9F, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1A9F-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_BEEP_MIX);
#define GEODEFNAME_BEEP_MIX DEFINE_GUIDNAMED(_GEODEFNAME_BEEP_MIX)

// HPOUT Volume Name
#define STATIC_GEODEFNAME_HPOUT_VOLUME\
    0x0A8C1AA5, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AA5-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_HPOUT_VOLUME);
#define GEODEFNAME_HPOUT_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_HPOUT_VOLUME)

// HPOUT Mute Name
#define STATIC_GEODEFNAME_HPOUT_MUTE\
    0x0A8C1AA6, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AA6-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_HPOUT_MUTE);
#define GEODEFNAME_HPOUT_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_HPOUT_MUTE)

// MONOOUT Select Name
#define STATIC_GEODEFNAME_MONOOUT_SELECT\
    0x0A8C1AA9, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AA9-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_MONOOUT_SELECT);
#define GEODEFNAME_MONOOUT_SELECT DEFINE_GUIDNAMED(_GEODEFNAME_MONOOUT_SELECT)

// WAVEIN Select Name
#define STATIC_GEODEFNAME_WAVEIN_SELECT\
    0x0A8C1AAE, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AAE-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_WAVEIN_SELECT);
#define GEODEFNAME_WAVEIN_SELECT DEFINE_GUIDNAMED(_GEODEFNAME_WAVEIN_SELECT)

// MASTER INPUT Volume Name
#define STATIC_GEODEFNAME_MASTER_INPUT_VOLUME\
    0x0A8C1AAF, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AAF-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_MASTER_INPUT_VOLUME);
#define GEODEFNAME_MASTER_INPUT_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_MASTER_INPUT_VOLUME)

// MASTER INPUT Mute Name
#define STATIC_GEODEFNAME_MASTER_INPUT_MUTE\
    0x0A8C1AB0, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AB0-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_MASTER_INPUT_MUTE);
#define GEODEFNAME_MASTER_INPUT_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_MASTER_INPUT_MUTE)

// MICIN Volume Name
#define STATIC_GEODEFNAME_MICIN_VOLUME\
    0x0A8C1AB2, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AB2-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_MICIN_VOLUME);
#define GEODEFNAME_MICIN_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_MICIN_VOLUME)

// MICIN Mute Name
#define STATIC_GEODEFNAME_MICIN_MUTE\
    0x0A8C1AB3, 0x42B0, 0x11D2, 0x95, 0xD2, 0x00, 0xC0, 0x4F, 0xB9, 0x25, 0xD3
DEFINE_GUIDSTRUCT("0A8C1AB3-42B0-11D2-95D2-00C04FB925D3", _GEODEFNAME_MICIN_MUTE);
#define GEODEFNAME_MICIN_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_MICIN_MUTE)

// Simulated Stereo Name
#define STATIC_GEODEFNAME_SIMUL_STEREO\
    0xB3AD50B5, 0x3849, 0x4983, 0xAD, 0xD7, 0x25, 0xE6, 0x26, 0x8F, 0x91, 0x2D
DEFINE_GUIDSTRUCT("B3AD50B5-3849-4983-ADD7-25E6268F912D", _GEODEFNAME_SIMUL_STEREO);
#define GEODEFNAME_SIMUL_STEREO DEFINE_GUIDNAMED(_GEODEFNAME_SIMUL_STEREO)

// Surround Volume Name
#define STATIC_GEODEFNAME_SURROUND_VOLUME\
    0xa4b68ba4, 0x6958, 0x4ab4, 0xbb, 0x1, 0xe2, 0x3c, 0x6f, 0x2, 0x7c, 0x88
DEFINE_GUIDSTRUCT("A4B68BA4-6958-4ab4-BB01-E23C6F027C88", _GEODEFNAME_SURROUND_VOLUME);
#define GEODEFNAME_SURROUND_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_SURROUND_VOLUME)

// Surround Mute Name
#define STATIC_GEODEFNAME_SURROUND_MUTE\
    0x22654fbc, 0xac8f, 0x4224, 0xb1, 0x9f, 0xd8, 0x58, 0xd2, 0xe1, 0xb, 0xdd
DEFINE_GUIDSTRUCT("22654FBC-AC8F-4224-B19F-D858D2E10BDD", _GEODEFNAME_SURROUND_MUTE);
#define GEODEFNAME_SURROUND_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_SURROUND_MUTE)

// Center Volume Name
#define STATIC_GEODEFNAME_CENTER_VOLUME\
    0x9b0f1946, 0xabd2, 0x47a8, 0xa7, 0x78, 0xbb, 0x86, 0xcd, 0xe1, 0xa1, 0x67
DEFINE_GUIDSTRUCT("9B0F1946-ABD2-47a8-A778-BB86CDE1A167", _GEODEFNAME_CENTER_VOLUME);
#define GEODEFNAME_CENTER_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_CENTER_VOLUME)

// Center Mute Name
#define STATIC_GEODEFNAME_CENTER_MUTE\
    0xbeef51ed, 0x1041, 0x43f8, 0x9b, 0x96, 0x58, 0x63, 0xd0, 0xa9, 0x34, 0x2d
DEFINE_GUIDSTRUCT("BEEF51ED-1041-43f8-9B96-5863D0A9342D", _GEODEFNAME_CENTER_MUTE);
#define GEODEFNAME_CENTER_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_CENTER_MUTE)

// LFE Volume Name
#define STATIC_GEODEFNAME_LFE_VOLUME\
    0x455fa6f2, 0x21ec, 0x4df4, 0xb1, 0xe4, 0x31, 0x55, 0x20, 0x97, 0x97, 0xf3
DEFINE_GUIDSTRUCT("455FA6F2-21EC-4df4-B1E4-3155209797F3", _GEODEFNAME_LFE_VOLUME);
#define GEODEFNAME_LFE_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_LFE_VOLUME)

// LFE Mute Name
#define STATIC_GEODEFNAME_LFE_MUTE\
    0x4a4d9210, 0xc780, 0x4768, 0xbf, 0xd2, 0x52, 0x5f, 0xdb, 0xf4, 0xfc, 0xb4
DEFINE_GUIDSTRUCT("4A4D9210-C780-4768-BFD2-525FDBF4FCB4", _GEODEFNAME_LFE_MUTE);
#define GEODEFNAME_LFE_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_LFE_MUTE)

// Front Volume Name
#define STATIC_GEODEFNAME_FRONT_VOLUME\
    0x9f4801bd, 0xf746, 0x4c7a, 0x8a, 0x9d, 0xf6, 0xe9, 0x90, 0x4, 0xcc, 0x98
DEFINE_GUIDSTRUCT("9F4801BD-F746-4c7a-8A9D-F6E99004CC98", _GEODEFNAME_FRONT_VOLUME);
#define GEODEFNAME_FRONT_VOLUME DEFINE_GUIDNAMED(_GEODEFNAME_FRONT_VOLUME)

// Front Mute Name
#define STATIC_GEODEFNAME_FRONT_MUTE\
    0xc8e03b2a, 0xebd9, 0x4554, 0xa7, 0x50, 0x8e, 0x44, 0x72, 0x75, 0xa, 0x5b
DEFINE_GUIDSTRUCT("C8E03B2A-EBD9-4554-A750-8E4472750A5B", _GEODEFNAME_FRONT_MUTE);
#define GEODEFNAME_FRONT_MUTE DEFINE_GUIDNAMED(_GEODEFNAME_FRONT_MUTE)

// Surround Pin Name
#define STATIC_GEODEFNAME_SURROUND\
    0x81fbb14b, 0x1bee, 0x4bf5, 0x92, 0xee, 0xff, 0xc4, 0xf7, 0x5f, 0x32, 0x6d
DEFINE_GUIDSTRUCT("81FBB14B-1BEE-4bf5-92EE-FFC4F75F326D", _GEODEFNAME_SURROUND);
#define GEODEFNAME_SURROUND DEFINE_GUIDNAMED(_GEODEFNAME_SURROUND)

// Center Pin Name
#define STATIC_GEODEFNAME_CENTER\
    0x2d97372f, 0x9cf6, 0x4fd6, 0x9e, 0x56, 0xc6, 0x8b, 0xac, 0xdf, 0x36, 0xd
DEFINE_GUIDSTRUCT("2D97372F-9CF6-4fd6-9E56-C68BACDF360D", _GEODEFNAME_CENTER);
#define GEODEFNAME_CENTER DEFINE_GUIDNAMED(_GEODEFNAME_CENTER)

// LFE Pin Name
#define STATIC_GEODEFNAME_LFE\
    0xb60c4274, 0x3bfd, 0x430b, 0x83, 0x64, 0xd9, 0x47, 0xe7, 0xd3, 0x4, 0xb1
DEFINE_GUIDSTRUCT("B60C4274-3BFD-430b-8364-D947E7D304B1", _GEODEFNAME_LFE);
#define GEODEFNAME_LFE DEFINE_GUIDNAMED(_GEODEFNAME_LFE)

// Front Pin Name
#define STATIC_GEODEFNAME_FRONT\
    0x70395e2, 0xbe7c, 0x4b4d, 0xb5, 0x29, 0x40, 0xcb, 0x9b, 0xfc, 0xf9, 0x95
DEFINE_GUIDSTRUCT("070395E2-BE7C-4b4d-B529-40CB9BFCF995", _GEODEFNAME_FRONT);
#define GEODEFNAME_FRONT DEFINE_GUIDNAMED(_GEODEFNAME_FRONT)

// CD_PLAYER
#define STATIC_GEODEFNAME_CD_PLAYER\
	0x990636cf, 0x60b8, 0x4514, 0xb3, 0xe9, 0xef, 0x90, 0xa6, 0x1b, 0xed, 0x5c
DEFINE_GUIDSTRUCT("990636CF-60B8-4514-b3E9-EF90A61BED5C", _GEODEFNAME_CD_PLAYER);
#define GEODEFNAME_CD_PLAYER DEFINE_GUIDNAMED(_GEODEFNAME_CD_PLAYER)

#endif
